## ruby-flores 0.0.8

=== Makefile ===
GEMSPEC=$(shell ls *.gemspec)
VERSION=$(shell awk -F\" '/spec.version/ { print $$2 }' $(GEMSPEC))
NAME=$(shell awk -F\" '/spec.name/ { print $$2 }' $(GEMSPEC))
GEM=$(NAME)-$(VERSION).gem

.PHONY: package
package: | $(GEM)

.PHONY: gem
gem: $(GEM)

$(GEM):
	gem build $(GEMSPEC)

.PHONY: test-package
test-package: $(GEM)
	# Sometimes 'gem build' makes a faulty gem.
	gem unpack $(GEM)
	rm -rf $(NAME)-$(VERSION)/

.PHONY: publish
publish: test-package
	gem push $(GEM)

.PHONY: install
install: $(GEM)
	gem install $(GEM)

.PHONY: clean
clean:
	-rm -rf .yardoc $(GEM) $(NAME)-$(VERSION)/

.PHONY: rubocop
rubocop:
	rubocop -D

.PHONY: test
test: rubocop
	rspec -f Flores::RSpec::Formatters::Analyze

.PHONY: test
test-fast: rubocop
	ITERATIONS=10 rspec -f Flores::RSpec::Formatters::Analyze

=== debian/changelog ===
ruby-flores (0.0.8-2) unstable; urgency=medium

  * Team upload
  * Add patch to replace deprecated Fixnum by Integer
  * Bump Standards-Version to 4.7.0 (no changes needed)

 -- Cédric Boutillier <boutil@debian.org>  Mon, 23 Sep 2024 23:48:49 +0200

ruby-flores (0.0.8-1) unstable; urgency=medium

  * Initial release (Closes: #1041698)

 -- Ajayi Olatunji O. <ajayiolatunji15@yahoo.com>  Sat, 16 Dec 2023 20:41:17 +0000

=== debian/control ===
Source: ruby-flores
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Ajayi Olatunji O. <ajayiolatunji15@yahoo.com>
Build-Depends: debhelper-compat (= 13),
               gem2deb (>= 1),
               rake,
               ruby-rspec,
	       ruby-simplecov
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-flores.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-flores
Homepage: https://github.com/jordansissel/ruby-flores
Testsuite: autopkgtest-pkg-ruby
Rules-Requires-Root: no

Package: ruby-flores
Architecture: all
Depends: ${misc:Depends},
         ${ruby:Depends},
         ${shlibs:Depends}
Description: Fuzz, randomize, and stress your tests
 Add fuzzing, randomization, and stress to your tests.
 .
 This library is an exploration to build the tools to let you write tests
 that find bugs.
 .
 In memory of Carlo Flores.

=== debian/watch ===
version=4
https://gemwatch.debian.net/flores .*/flores-(.*).tar.gz

# Use the regex below for github-based sources
# opts=uversionmangle=s/[_.+-]?(rc|pre|dev|beta|alpha|b|a)/~$1/i,\
# filenamemangle=s%(?:.+/)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2% \
#   https://github.com/<owner>/<repo>/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
